/ / Django 1.5: Python 2.7 o Python 3 - django, python-2.7, python-3.x

Django 1.5: Python 2.7 o Python 3 - django, python-2.7, python-3.x

Django ha appena rilasciato la versione 1.5.

Ora supporta Python 3, la mia domanda è abbastanzasemplice davvero: con questa versione 1.5, dovrei comunque usare Python 2.7 o Python 3? Suppongo che con Python 3 ci saranno dei problemi con l'app di terze parti no?

Nel tuo caso, cosa faresti?

risposte:

5 per risposta № 1

Le note di rilascio indicano chiaramente che il supporto di Python 3 in 1.5 è sperimentale. E sì, le app di terze parti saranno un problema.


0 per risposta № 2

Se stavo iniziando un nuovo sviluppo che ionon mi aspettavo di andare in diretta fino a quando non è stata rilasciata la versione 1.6 (quando il supporto di Python 3 dovrebbe essere pronto per la produzione, e speriamo che le app di terze parti abbiano recuperato), allora sì, vorrei andare con Python 3. È significativamente più pulito di Python 2.7.

Ma se vuoi che il tuo sito sia attivo e funzionante nel prossimo futuro, continua con 2.7.


0 per risposta № 3

Userei ancora python 2.7 perché molte app e librerie non sono pronte per python 3.x

PIL non funziona correttamente con python 3